Start an import
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasHeader": true,
"mode": "create",
"mapping": {},
"matchBy": [
{
"pairs": [
{
"target": "<string>",
"column": "<string>"
}
]
}
],
"options": {}
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports"
payload = {
"entity": "<string>",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasHeader": True,
"mode": "create",
"mapping": {},
"matchBy": [{ "pairs": [
{
"target": "<string>",
"column": "<string>"
}
] }],
"options": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity' => '<string>',
'fileId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hasHeader' => true,
'mode' => 'create',
'mapping' => [
],
'matchBy' => [
[
'pairs' => [
[
'target' => '<string>',
'column' => '<string>'
]
]
]
],
'options' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: '<string>',
fileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hasHeader: true,
mode: 'create',
mapping: {},
matchBy: [{pairs: [{target: '<string>', column: '<string>'}]}],
options: {}
})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"status": 123,
"code": "core.dataio_adapter_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Imports
Start an import
Starts an import of an uploaded CSV or Excel file that creates or updates records, row by row.
POST
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
imports
Start an import
curl --request POST \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasHeader": true,
"mode": "create",
"mapping": {},
"matchBy": [
{
"pairs": [
{
"target": "<string>",
"column": "<string>"
}
]
}
],
"options": {}
}
'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports"
payload = {
"entity": "<string>",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasHeader": True,
"mode": "create",
"mapping": {},
"matchBy": [{ "pairs": [
{
"target": "<string>",
"column": "<string>"
}
] }],
"options": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity' => '<string>',
'fileId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hasHeader' => true,
'mode' => 'create',
'mapping' => [
],
'matchBy' => [
[
'pairs' => [
[
'target' => '<string>',
'column' => '<string>'
]
]
]
],
'options' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: '<string>',
fileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hasHeader: true,
mode: 'create',
mapping: {},
matchBy: [{pairs: [{target: '<string>', column: '<string>'}]}],
options: {}
})
};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"status": 123,
"code": "core.dataio_adapter_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Authorizations
Body
application/json
Was this page helpful?